---
title: "Create a new push notification"
url: https://docs.gleap.ai/en/reference/rest-api/create-engagement-push-notification
method: POST
path: "/engagement/push-notifications"
api: "API Reference"
tag: "Engagement Push Notification"
operationId: "CreateEngagementPushNotification"
updatedAt: "2026-11-01T18:40:15.677Z"
language: en
---

# Create a new push notification

`POST https://api.gleap.io/v3/engagement/push-notifications`

Create a new engagement push notification. `type`, `project`, `organisation` and `createdBy` are set server-side and ignored if supplied.

## Authorization

- `Authorization` (header, required): `Bearer <token>`

## Headers

- `project` (string, required)

## Request body (`application/json`, required)

## Example request

```bash
curl --request POST \
  --url https://api.gleap.io/v3/engagement/push-notifications \
  --header 'Authorization: Bearer <token>' \
  --header 'project: <project>' \
  --header 'Content-Type: application/json' \
  --data '{}'
```

## Responses

### 200 (`application/json`)

Ok
